Credits | Overview | Plotting Styles | Commands | Terminals
--- | --- | --- | --- | ---

## mxtics time

Syntax:

         set mxtics time <N> {seconds|minutes|hours|days|weeks|months|years}

This is a new command option introduced in gnuplot version 6. It places minor tic marks exactly at some integral number of time units rather than at some fraction of the major tic interval.

The new default is that minor tics are not generated if the major tics are in time mode (set xdata time or set xtics time).

set mxtics or set mxtics <freq> can restore the pre-version 6 behavior but this was always problematic. For example, automatic subdivision of a 72-year span placed major tics at 12-year intervals and minor tics at 5-year intervals.

Using set mxtics time 2 years, however, will place a minor tic mark exactly at the start of alternate years. set mxtics time 1 month will place tic marks exactly at 1 Jan, 1 Feb, 1 Mar, 1 Apr, ... even though those intervals contain an unequal number of days.